# [Bootstrap Web Components](https://www.htmlelements.com)[![Tweet](https://img.shields.io/twitter/url/http/shields.io.svg?style=social)](https://twitter.com/intent/tweet?text=Get%20over%2020%20free%20custom%20elements%20based%20on%20SmartHTMLElements%20&url=https://www.htmlelements.com/&via=htmlelements&hashtags=bootstrap,design,templates,autocomplete,bootstrap-components,typeahead,developers,webcomponents,customelements,polymer,material)


&nbsp;
[![Price](https://img.shields.io/badge/price-FREE-0098f7.svg)](https://github.com/HTMLElements/Bootstrap-Web-Components/blob/master/LICENSE)
[![npm](https://img.shields.io/npm/v/bootstrap-webcomponents.svg?style=flat)](https://www.npmjs.com/package/bootstrap-webcomponents)
[![GitHub package version](https://img.shields.io/github/package-json/v/HTMLElements/Bootstrap-Web-Components.svg)](https://github.com/HTMLElements/Bootstrap-Web-Components)
[![License: APACHE](https://img.shields.io/badge/license-APACHE-blue.svg)](https://github.com/HTMLElements/Bootstrap-Web-Components/blob/master/LICENSE)
[![](https://img.shields.io/website-up-down-green-red/https/shields.io.svg?label=www.htmlelements.com)](https://www.htmlelements.com)
[![Published on webcomponents.org](https://img.shields.io/badge/webcomponents.org-published-blue.svg)](https://www.webcomponents.org/element/htmlelements/bootstrap-webcomponents)

# &lt;Bootstrap Web Components&gt;

[Installation ↗](https://www.npmjs.com/package/bootstrap-webcomponents)

The package contains a set of Free Custom Elements based on the popular Boostrap library. 

<!--
```
<custom-element-demo>
  <template>
    <script src="../webcomponentsjs/webcomponents-lite.js"></script>
    <script src="../smart-core/source/smart.core.js"></script>
    <script type="text/javascript" src="../src/bootstrap-elements.js"></script>	
    <link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.3.1/css/bootstrap.min.css">
    <next-code-block></next-code-block>
  </template>
</custom-element-demo>
```
-->
```html
<h2>Bootstrap Buttons</h2><br/>
<bootstrap-button style-mode="primary">Primary</bootstrap-button>
<bootstrap-button style-mode="secondary">Secondary</bootstrap-button>
<bootstrap-button style-mode="success">Success</bootstrap-button>
<bootstrap-button style-mode="danger">Danger</bootstrap-button>
<bootstrap-button style-mode="warning">Warning</bootstrap-button>
<bootstrap-button style-mode="info">Info</bootstrap-button>
<bootstrap-button style-mode="light">Light</bootstrap-button>
<bootstrap-button style-mode="dark">Dark</bootstrap-button>
<bootstrap-button style-mode="link">Link</bootstrap-button>
<br/><br/><h2>Bootstrap Outline Buttons</h2><br/>
<bootstrap-button outlined style-mode="primary">Primary</bootstrap-button>
<bootstrap-button outlined style-mode="secondary">Secondary</bootstrap-button>
<bootstrap-button outlined style-mode="success">Success</bootstrap-button>
<bootstrap-button outlined style-mode="danger">Danger</bootstrap-button>
<bootstrap-button outlined style-mode="warning">Warning</bootstrap-button>
<bootstrap-button outlined style-mode="info">Info</bootstrap-button>
<bootstrap-button outlined style-mode="light">Light</bootstrap-button>
<bootstrap-button outlined style-mode="dark">Dark</bootstrap-button>
<bootstrap-button outlined style-mode="link">Link</bootstrap-button>
<br/><br/><h2>Bootstrap Buttons Size</h2><br/>
<bootstrap-button size-mode="lg">Large Button</bootstrap-button>
<bootstrap-button size-mode="lg">Large Button</bootstrap-button>
<br/><br/>
<bootstrap-button size-mode="sm">Small Button</bootstrap-button>
<bootstrap-button size-mode="sm">Small Button</bootstrap-button>
<br/><br/><h2>Bootstrap Disabled Buttons</h2><br/>
<bootstrap-button disabled style-mode="primary">Primary</bootstrap-button>
<bootstrap-button disabled style-mode="secondary">Secondary</bootstrap-button>	
```

[<img src="https://raw.githubusercontent.com/htmlelements/Bootstrap-Web-Components/master/Bootstrap.png" alt="Screenshot of Bootstrap, Elements">](https://htmlelements.com/demos/)


## The file structure for Smart HTML Elements

- `src/`

  Javascript files.

- `src/styles/`

  Component CSS Files.

- `example/`

  Example files

## Running demos in browser

1. Fork the repository and clone it locally.

1. Make sure you have [npm](https://www.npmjs.com/) installed.

1. When in the directory, run `npm install` 

1. Run a localhost or upload the demo on a web server. Then run:

  - /example/


## Following the coding style

We are using [ESLint](http://eslint.org/) for linting JavaScript code. 

## Creating a pull request

  - Make sure your code is compliant with ESLint
  - [Submit a pull request](https://www.digitalocean.com/community/tutorials/how-to-create-a-pull-request-on-github) with detailed title and description
  - Wait for response from one of our team members


## License

Apache License 2.0
